Package de.cxp.ocs.model.result
Class SearchResult
- java.lang.Object
-
- de.cxp.ocs.model.result.SearchResult
-
public class SearchResult extends Object
-
-
Field Summary
Fields Modifier and Type Field Description StringinputURIThe search parameters (SearchQuery parameters + filters) that were used to get that result view.Map<String,Object>metaAdditional optional payload, e.g.List<SearchResultSlice>slicesThe result may consist of several slices, for example if a search request couldn't be answered matching all words (e.g.List<Sorting>sortOptionslongtookInMillisamount of time the internal search needed to compute that result
-
Constructor Summary
Constructors Constructor Description SearchResult()
-
-
-
Field Detail
-
tookInMillis
public long tookInMillis
amount of time the internal search needed to compute that result
-
inputURI
public String inputURI
The search parameters (SearchQuery parameters + filters) that were used to get that result view. May be used to generate breadcrumbs.
-
slices
public List<SearchResultSlice> slices
The result may consist of several slices, for example if a search request couldn't be answered matching all words (e.g. "striped nike shirt") then one slice could be the result for one part of the query (e.g. "striped shirt") and the other could be for another part of the query (e.g. "nike shirt"). This can also be used to deliver some special advertised products or to split the result in different ranked slices (e.g. the first 3 results are ranked by popularity, the next 3 are sorted by price and the rest is ranked by 'default' relevance). Each slice contains theSearchQueryencoded as URI that represent that exact slice. At least 1 slice should be expected. If there is no slice, no results were found.
-
-